#! /bin/sh

# $Id: mksmileexp.sh,v 1.1.2.3 2001/12/21 13:53:38 belinfan Exp $

program=`basename $0`
USAGE="usage: $program crfile"

libexecdir=@libexecdir@
smileprog=$libexecdir/smileexp
targetsuffix=-smile-exp

case $# in
	1) crfile=$1;  shift;;
	*) ;;
esac

missing_parameters=0
if [ "X$crfile" = X ]; then
	missing_parameters=1
fi

if [ $missing_parameters = 1 ]; then
	echo $USAGE 1>&2
	exit 2
fi

if [ ! -r $crfile ]; then
	echo "$program: cannot read \"$crfile\"" 1>&2
	exit 2
fi

case $crfile in
	/*) anchored=$crfile ;;
	*) anchored=./$crfile ;;
esac
dir=`echo $anchored |sed 's/\/[^\/]*$//' `
base=`echo $anchored |sed 's/.*\///' `
root=`echo $base |sed 's/\.[^\.\/]*$//' `
target=$base/$root$targetsuffix

# Hmm... should we try to convert crile into
# an absolute path name?
case $crfile in
	/*) newcrfile=$crfile ;;
	*)  cur=`pwd`
	    cd $dir
	    prefix=`pwd`
	    cd $cur
	    newcrfile=$prefix/$base
	    ;;
esac

rm -f $target

echo "#! /bin/sh" > $target
echo "exec $smileprog \"\$@\" $newcrfile" >> $target

chmod 755 $target
