#ifndef SPEXIO_H
#define SPEXIO_H

#include "spexDomain.h"

typedef struct var_store {
	char *norm_var_name;
	char *org_var_name;
	char *type;
	union {
		int *i;
		short *s;
		unsigned char *c;
		void *p;
	} pointer;
	Domain var_domain;
	struct var_store *next;
} Var_Store;

extern char *trans_text;
extern Var_Store *trans_vars;


void spex__inputs(char *, ...);
void spex__outputs(char *, ...);

Var_Store *new_var_store();
//void push_pointer(Var_Store **stack, void *point);
void free_var_stores(Var_Store **);
Var_Store *append_var_store(Var_Store *vstore);
Var_Store *dup_var_store(Var_Store *vstore);

#endif
