#ifndef H__PARSER_H
#define H__PARSER_H


#include "k.h"
#include "unpk.h"
#include "pfunctions.h"
#include "tracery.h"
#include "set.h"


int     yyparse(void);
int     yywrap(void);
int     yylex(void);
void	nonfatal(int lineno, int column, char *fmt, ... );
void	yyerror(char *);
void	warning(char *);

void	lexerinit(void);
char*	lexerline(void);

extern spec parsetree;
extern int nr_errs;
extern FILE *yyin;
extern char filename[];
extern char *prog;

#endif /* H__PARSER_H */
